Foreman - Bug #13777

LDAP filter 255 character limit
02/17/2016 02:41 PM - Anonymous

Status: Closed
Priority: Normal
Assignee: Liza Gilman
Category: Authentication

Target version:

Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

In my environment, Active Directory is a sprawling mess of nested directory after nested directory. Security groups are created in
nested folders for a division leading to a single LDAP filter line >150 characters. Tying two or more LDAP filters together results in a
filter hundreds of characters long.

| Started PUT "/auth_source_ldaps/5-Active%20Directory” for 139.126.210.241 at 2016-02-17 13:32:21 -0600

2016-02-17 13:32:21 [app] [I] Processing by AuthSourcelLdapsController#update as */*

2016-02-17 13:32:21 [app] [I] Parameters: {"utf8"=>"L", "authenticity_token"=>"[FILTERED]",
"auth_source_ldap"=>{"name"=>"Active Directory", "host"=>"[FILTERED]", "tIs"=>"1", "port"=>"636",
"server_type"=>"active_directory", "account"=>"[FILTERED]", "account_password"=>"[FILTERED]", "base_dn"=>"[FILTERED]",
"groups_base"=>"",
"ldap_filter"=>"(|(memberOf=CN=<SOME_LONG_MESS_OF_CHARACTERS_GREATER_THAN_150_CHARACTERS>)(memberOf
=CN=<SOME_OTHER_HUGE_FILTER_STRING_GREATER_THAN_150_CHARACTERS>))", "onthefly_register"=>"0",
"usergroup_sync"=>"0", "attr_login"=>"sAMAccountName", "attr_firstname"=>"", "attr_lastname"=>"", "attr_mail"=>"",
"attr_photo"=>""}, "id"=>"5-Active Directory"}

2016-02-17 13:32:21 [app] [I] Failed to save: Ldap filter is too long (maximum is 255 characters)

2016-02-17 13:32:21 [app] [I]] Rendered auth_source_ldaps/_form.html.erb (19.3ms)

2016-02-17 13:32:21 [app] [I] Rendered auth_source_ldaps/edit.html.erb (21.1ms)

2016-02-17 13:32:21 [app] [I] Completed 200 OK in 50ms (Views: 26.0ms | ActiveRecord: 1.1ms)

History

#1 - 02/18/2016 02:57 AM - Dominic Cleal
- Category set to Authentication

- Difficulty set to easy

#2 - 02/18/2016 03:35 AM - Daniel Lobato Garcia

I'd also suggest this filter to be a textarea field rather than a 1-line text field - it can very easily get unwieldy to modify

#3 - 03/08/2017 07:42 AM - Abhijeet Kasurde

I would like to work on this issue. Can any one assign this bug to my name ?

#4 - 01/23/2018 02:42 PM - Walden Raines
- Assignee set to Liza Gilman

- Target version set to 243

#5 - 02/01/2018 01:30 PM - Liza Gilman

solved by http:/projects.theforeman.org/issues/18462

#6 - 02/01/2018 01:48 PM - Liza Gilman

- Status changed from New to Closed
